/*
 *******************************************************************
 *
 * Copyright 2015 Intel Corporation.
 *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
 */

package org.iotivity.base;

/**
 * Possible returned values from entity handler.
 */
public enum EntityHandlerResult {
    OK(0),
    ERROR(1),
    RESOURCE_CREATED(2),
    RESOURCE_DELETED(3),
    SLOW(4),
    FORBIDDEN(5),
    RESOURCE_NOT_FOUND(6);

    private int value;

    private EntityHandlerResult(int value) {
        this.value = value;
    }

    public int getValue() {
        return this.value;
    }
}
