/******************************************************************
*
* Copyright 2019 Samsung Electronics All Rights Reserved.
*
*
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*      http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
******************************************************************/
#include <gtest/gtest.h>

#ifdef __cplusplus
extern "C" {
#endif

#include "tools.h"
#undef TAG
#include "../src/policyengine.c"

#ifdef __cplusplus
}
#endif

#ifdef TAG
#undef TAG
#endif

#define TAG  "PE"

#define SVR_DB_FILE_NAME TAG".dat"
#define PM_DB_FILE_NAME TAG".db"


class PE : public ::testing::Test
{
    public:
        static void SetUpTestCase()
        {
        }
        static void TearDownTestCase()
        {
        }
};

TEST_F(PE, IsRequestFromAms)
{
    SRMRequestContext_t *context = NULL;
    EXPECT_FALSE(IsRequestFromAms(context));

    context = (SRMRequestContext_t*)OICCalloc(1, sizeof(SRMRequestContext_t));
    EXPECT_FALSE(IsRequestFromAms(context));

    context->subjectIdType = SUBJECT_ID_TYPE_UUID;
    EXPECT_FALSE(IsRequestFromAms(context));

    ConvertStrToUuid("33333333-3333-3333-3333-222222222222", &context->subjectUuid);
    EXPECT_FALSE(IsRequestFromAms(context));

    OICFree(context);
}

TEST_F(PE, IsRequestFromCms)
{
    SRMRequestContext_t *context = NULL;
    EXPECT_FALSE(IsRequestFromCms(context));

    context = (SRMRequestContext_t*)OICCalloc(1, sizeof(SRMRequestContext_t));
    EXPECT_FALSE(IsRequestFromCms(context));

    context->subjectIdType = SUBJECT_ID_TYPE_UUID;
    EXPECT_FALSE(IsRequestFromCms(context));

    ConvertStrToUuid("33333333-3333-3333-3333-222222222222", &context->subjectUuid);
    EXPECT_FALSE(IsRequestFromCms(context));

    OICFree(context);
}

