/**
 * ***************************************************************
 *
 * Copyright 2016 Samsung Electronics All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ****************************************************************
 */

package org.iotivity.service.easysetup.mediator;

public class ESConstants {

    private ESConstants() {}

    public static final String OC_RSRVD_REPRESENTATION = "rep";

    public static final String OC_RSRVD_ES_PROVSTATUS = "ps";
    public static final String OC_RSRVD_ES_LAST_ERRORCODE = "lec";
    public static final String OC_RSRVD_ES_LINKS = "links";
    public static final String OC_RSRVD_ES_SUPPORTEDWIFIMODE = "swmt";
    public static final String OC_RSRVD_ES_SUPPORTEDWIFIFREQ = "swf";
    public static final String OC_RSRVD_ES_SSID = "tnn";
    public static final String OC_RSRVD_ES_CRED = "cd";
    public static final String OC_RSRVD_ES_AUTHTYPE = "wat";
    public static final String OC_RSRVD_ES_ENCTYPE = "wet";
    // Auth Code is no longer supported as per OCF 1.4 CoAPCloudConf Resource schema.
    public static final String OC_RSRVD_ES_AUTHCODE = "ac";
    public static final String OC_RSRVD_ES_ACCESSTOKEN = "at";
    public static final String OC_RSRVD_ES_ACCESSTOKEN_TYPE = "att";
    public static final String OC_RSRVD_ES_AUTHPROVIDER = "apn";
    public static final String OC_RSRVD_ES_CISERVER = "cis";
    public static final String OC_RSRVD_ES_SERVERID = "sid";
    public static final String OC_RSRVD_ES_DEVNAME = "dn";
    public static final String OC_RSRVD_ES_LANGUAGE = "lang";
    public static final String OC_RSRVD_ES_COUNTRY = "ctry";
    public static final String OC_RSRVD_ES_MODELNUMBER = "mnmo";
    public static final String OC_RSRVD_ES_LOCATION = "loc";

/**
* Easysetup defined resource types and uris
*/
    public static final String OC_RSRVD_ES_RES_TYPE_EASYSETUP = "oic.r.easysetup";
    public static final String OC_RSRVD_ES_URI_EASYSETUP = "/EasySetupResURI";
    public static final String OC_RSRVD_ES_RES_TYPE_WIFICONF = "oic.r.wificonf";
    public static final String OC_RSRVD_ES_URI_WIFICONF = "/WiFiConfResURI";
    public static final String OC_RSRVD_ES_RES_TYPE_COAPCLOUDCONF = "oic.r.coapcloudconf";
    public static final String OC_RSRVD_ES_URI_COAPCLOUDCONF = "/CoapCloudConfResURI";
    public static final String OC_RSRVD_ES_RES_TYPE_DEVCONF = "oic.r.devconf";
    public static final String OC_RSRVD_ES_URI_DEVCONF = "/DevConfResURI";

}
