/******************************************************************
 *
 * Copyright 2015 Samsung Electronics All Rights Reserved.
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ******************************************************************/

#ifndef JNI_LISTENER_HOLDER_H_
#define JNI_LISTENER_HOLDER_H_

/**
 * @class JniListenerHolder
 */
class JniListenerHolder
{
    public:
         /** constructor */
        ~JniListenerHolder()
        {
            JNIEnv *env = GetEnv();
            if (!env)
            {
                return;
            }
            env->DeleteGlobalRef(m_listener);
            ReleaseEnv();
        }

        /** This method is to get the listener object */
        jobject get()
        {
            return m_listener;
        }

        /** This method is to create the new listener */
        static std::shared_ptr<JniListenerHolder> create(JNIEnv *env, jobject &listener)
        {
            return std::shared_ptr<JniListenerHolder>(new JniListenerHolder(env, listener));
        }

    private:
        JniListenerHolder(JNIEnv *env, jobject &listener)
            : m_listener(env->NewGlobalRef(listener)) {}

        jobject m_listener;
};

#endif
