/******************************************************************
 *
 * Copyright 2018 Samsung Electronics All Rights Reserved.
 *
 *
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *
 ******************************************************************/

package org.iotivity.test.rfw.common.devicecontroller.datamodel;

public class JigCommand {
    public static final byte[] Relay1_On_SDS_Off           = { 0x3A, 0x53, 0x31,
            0x52, 0x31, 0x4F, 0x4E, (byte) 0xDE };
    public static final byte[] Relay1_Off_SDS_On           = { 0x3A, 0x53, 0x31,
            0x52, 0x31, 0x4F, 0x46, (byte) 0xD6 };
    public static final byte[] Relay3_On_DBG_On            = { 0x3A, 0x53, 0x31,
            0x52, 0x33, 0x4F, 0x4E, (byte) 0xE0 };
    public static final byte[] Relay3_Off_DBG_Off          = { 0x3A, 0x53, 0x31,
            0x52, 0x33, 0x4F, 0x46, (byte) 0xD8 };
    public static final byte[] VBUS_Off                    = { 0x3A, 0x53, 0x31,
            0x52, 0x37, 0x4F, 0x4E, (byte) 0xE4 };
    public static final byte[] VBUS_On                     = { 0x3A, 0x53, 0x31,
            0x52, 0x37, 0x4F, 0x46, (byte) 0xDC };
    public static final byte[] Relay8_On_USB_Off           = { 0x3A, 0x53, 0x31,
            0x52, 0x38, 0x4F, 0x4E, (byte) 0xE5 };
    public static final byte[] Relay8_Off_USB_On           = { 0x3A, 0x53, 0x31,
            0x52, 0x38, 0x4F, 0x46, (byte) 0xDD };

    public static final byte[] All_Relay_On                = { 0x3A, 0x53, 0x31,
            0x52, 0x41, 0x4F, 0x4E, (byte) 0xEE };
    public static final byte[] All_Relay_Off               = { 0x3A, 0x53, 0x31,
            0x52, 0x41, 0x4F, 0x46, (byte) 0xE6 };

    public static final byte[] Vbatt_Off                   = { 0x3A, 0x53, 0x31,
            0x50, 0x41, 0x4F, 0x4E, (byte) 0xEC };
    public static final byte[] Vbatt_On                    = { 0x3A, 0x53, 0x31,
            0x50, 0x41, 0x4F, 0x46, (byte) 0xE4 };

    public static final byte[] Solution1_Agere             = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x31, (byte) 0xDD };
    public static final byte[] Solution2_Vision            = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x32, (byte) 0xDE };
    public static final byte[] Solution3_Sysol             = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x33, (byte) 0xDF };
    public static final byte[] Solution4_Swift             = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x34, (byte) 0xE0 };
    public static final byte[] Solution5_UMTS              = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x35, (byte) 0xE1 };
    public static final byte[] Solution6_EMP               = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x36, (byte) 0xE2 };

    public static final byte[] Current_Solution            = { 0x3A, 0x53, 0x31,
            0x53, 0x4F, 0x4C, 0x3F, (byte) 0xEB };

    public static final byte[] Type_Not_Use                = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x4E, (byte) 0xE0 };
    public static final byte[] Type_UART_Boot_Off          = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x53, (byte) 0xE5 };
    public static final byte[] Type_UART_Boot_On           = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x46, (byte) 0xD8 };
    public static final byte[] Type_USB_Boot_Off           = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x55, (byte) 0xE7 };
    public static final byte[] Type_USB_Boot_On            = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x4F, (byte) 0xE1 };
    public static final byte[] Type_7Pin_Accessory_1       = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x35, (byte) 0xC7 };
    public static final byte[] Type_30pin_MicroUSB_DL_Mode = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x37, (byte) 0xC9 };
    public static final byte[] Type_30pin_MicroUSB_ADC_1   = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x38, (byte) 0xCA };
    public static final byte[] Type_30pin_MicroUSB_ADC_2   = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x39, (byte) 0xCB };
    public static final byte[] Type_7Pin_Accerssory_4      = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x32, 0x41, (byte) 0xD3 };

    public static final byte[] Current_Type                = { 0x3A, 0x53, 0x31,
            0x4D, 0x55, 0x54, 0x3F, (byte) 0xF3 };

    public static final byte[] CF_Volt                     = { 0x3A, 0x53, 0x31,
            0x43, 0x46, 0x56, 0x3F, (byte) 0xDC };
    public static final byte[] CF_Volt_High                = { 0x3A, 0x53, 0x31,
            0x43, 0x46, 0x56, 0x48, (byte) 0xE5 };
    public static final byte[] CF_Volt_Low                 = { 0x3A, 0x53, 0x31,
            0x43, 0x46, 0x56, 0x4C, (byte) 0xE9 };

    public static final byte[] Boot_Relay_On               = { 0x3A, 0x53, 0x31,
            0x42, 0x54, 0x4F, 0x4E, (byte) 0xF1 };
    public static final byte[] Boot_Relay_Off              = { 0x3A, 0x53, 0x31,
            0x42, 0x54, 0x4F, 0x46, (byte) 0xE9 };

    public static final byte[] Buff_Relay_On               = { 0x3A, 0x53, 0x31,
            0x42, 0x46, 0x4F, 0x4E };
    public static final byte[] Buff_Relay_Off              = { 0x3A, 0x53, 0x31,
            0x42, 0x46, 0x4F, 0x46, (byte) 0xDB };

    public static final byte[] JigOn_Realy_On              = { 0x3A, 0x53, 0x31,
            0x4A, 0x47, 0x4F, 0x4E, (byte) 0xEC };
    public static final byte[] JigOn_Realy_Off             = { 0x3A, 0x53, 0x31,
            0x4A, 0x47, 0x4F, 0x46, (byte) 0xE4 };

    public static final byte[] USB_Connect                 = { 0x3A, 0x53, 0x31,
            0x55, 0x53, 0x4F, 0x4E, 0x03 };
    public static final byte[] USB_Disconnect              = { 0x3A, 0x53, 0x31,
            0x55, 0x53, 0x4F, 0x46, (byte) 0xFB };

    public static final byte[] Jig_Version                 = { 0x3A, 0x53, 0x31,
            0x56, 0x45, 0x52, 0x3F, (byte) 0xEA };
}
